Bug 1758377 - EPEL8 x2goserver uninstallable due to missing dependencies
Summary: EPEL8 x2goserver uninstallable due to missing dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: x2goserver
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-04 00:03 UTC by Glenn Morris
Modified: 2021-08-24 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-06 01:20:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Glenn Morris 2019-10-04 00:03:11 UTC
Description of problem:
x2goserver can't be installed on CentOS 8 due to missing dependencies.

Version-Release number of selected component (if applicable):
x2goserver-4.1.0.3-5.el8

How reproducible:
100%

Steps to Reproduce:
dnf install x2goserver

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides perl(File::BaseDir) needed by x2goserver4.1.0.3-5.el8.x86_64
  - nothing provides pwgen needed by x2goserver-4.1.0.3-5.el8.x86_64
  - nothing provides sshfs needed by x2goserver-4.1.0.3-5.el8.x86_64

Comment 1 Glenn Morris 2019-10-04 00:13:36 UTC
After enabling the PowerTools repo, per the EPEL docs, the only dependency still missing is "pwgen".

Comment 2 Fedora Update System 2019-10-04 00:49:34 UTC
FEDORA-EPEL-2019-ac436b2ad0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ac436b2ad0

Comment 3 Glenn Morris 2019-10-04 01:12:23 UTC
After enabling epel-testing to provide pwgen (sorry for not trying that to start), I get:

Error: 
 Problem: package x2goserver-4.1.0.3-5.el8.x86_64 requires perl(X2Go::Config), but none of the providers can be installed
  - package x2goserver-4.1.0.3-5.el8.x86_64 requires perl(X2Go::Utils), but none of the providers can be installed
  - package x2goserver-4.1.0.3-5.el8.x86_64 requires perl(X2Go::Server::Agent), but none of the providers can be installed
  - package x2goserver-4.1.0.3-5.el8.x86_64 requires perl(X2Go::SupeReNicer), but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(Config::Simple) needed by perl-X2Go-Server-4.1.0.3-5.el8.noarch

Comment 4 Orion Poplawski 2019-10-04 03:02:39 UTC
Well, shoot.  epel8 branches requested:
https://pagure.io/releng/fedora-scm-requests/issue/17627

Comment 5 Fedora Update System 2019-10-04 15:30:25 UTC
FEDORA-EPEL-2019-8ed91a9588 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8ed91a9588

Comment 6 Fedora Update System 2019-10-04 23:06:29 UTC
pwgen-2.08-3.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-10-04 23:17:34 UTC
perl-Config-Simple-4.59-32.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-8ed91a9588

Comment 8 Glenn Morris 2019-10-04 23:30:16 UTC
Thanks! With the addition of perl-Config-Simple I can install x2goserver.

I can open a new report if you like, but x2goserver-desktopsharing is uninstallable:

 Problem: conflicting requests
  - nothing provides x2godesktopsharing >= 3.2.0.0 needed by x2goserver-desktopsharing-4.1.0.3-5.el8.x86_64

Comment 9 Glenn Morris 2019-10-04 23:31:56 UTC
I'm sorry, did I just reopen this report?
I did not mean to do that, I just meant to add a comment...
To avoid messing things up further I will not try to fix this myself!

Comment 10 Fedora Update System 2019-10-06 01:20:47 UTC
perl-Config-Simple-4.59-32.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-10-08 03:38:27 UTC
FEDORA-EPEL-2019-77ef9f5603 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-77ef9f5603

Comment 12 Fedora Update System 2019-10-09 18:55:39 UTC
x2godesktopsharing-3.2.0.0-4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Vallee 2021-08-24 19:58:40 UTC
I'm trying to install x2go on a centos 8 machine.
I've done that successfully :
dnf -y update 
And I've done that successfully too:
dnf install https://dl.fedoraproject.org/pub/epel/epel-release-latest-8.noarch.rpm
I'm doing : dnf install -y x2goserver-xsession
I'm getting:
Last metadata expiration check: 0:27:07 ago on Tue 24 Aug 2021 03:22:32 PM EDT.
Error:
 Problem: package x2goserver-xsession-4.1.0.3-9.el8.noarch requires x2goserver = 4.1.0.3-9.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides perl(File::BaseDir) needed by x2goserver-4.1.0.3-9.el8.x86_64
  - nothing provides sshfs needed by x2goserver-4.1.0.3-9.el8.x86_64
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

Why is that ?

Comment 14 Orion Poplawski 2021-08-24 20:06:11 UTC
Make sure you have either the "powertools" repo (CentOS) or the "Code Ready Builder" repo (RHEL8) enabled.

Comment 15 Vallee 2021-08-24 20:22:53 UTC
I fix the problem with:
dnf config-manager --set-enabled powertools

Thanks Orion !


Note You need to log in before you can comment on or make changes to this bug.